A Deep Learning Framework for Motion Synthesis and Editing
==========================================================

About
-----

This is the code and data for the paper of the above title. It consists of a 
large motion database containing several external databases retargetted to 
a single skeleton structure, as well as the code for the paper implemented in 
Theano.

Here is an overview of the structure:

    `data`    - The motion database and data processing scripts
    `motion`  - A helper library for dealing with motion data
    `nn`      - A custom Theano library for neural networks
    `synth`   - Code, examples, and demos used in the paper
    
Quickstart
----------

Once you have installed Theano, Numpy, Scipy, as the network is already trained 
and the data already preprocessed, you can start by running any of the demo 
scripts in the `synth` directory.

License
-------

This code and data is free for academic and non-commercial purposes but we 
would ask that you please include the following citations in any published work 
which uses this code or data.

    @inproceedings{Holden:2015:LMM,
     author = {Holden, Daniel and Saito, Jun and Komura, Taku and Joyce, Thomas},
     title = {Learning Motion Manifolds with Convolutional Autoencoders},
     booktitle = {SIGGRAPH Asia 2015 Technical Briefs},
     year = {2015},
    } 
    
    @inproceedings{Holden:2016:DLF,
     author = {Holden, Daniel and Saito, Jun and Komura, Taku},
     title = {A Deep Learning Framework for Character Motion Synthesis and Editing},
     booktitle = {SIGGRAPH 2016},
     year = {2016},
    }
    
    
The motion databases have their own individual licenses that also ask for 
citation and have a number of conditions so please respect those usage terms.

If you have any questions please contact me at contact@theorangeduck.com
